/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.queries_tab;

public class SlotSpecification {
   private String slotType;
   private String slotName;
   private String constraint;
   private Object value;

    public SlotSpecification() {
        slotType = null;
        slotName = null;
        constraint = null;
        value = null;
    }

    public SlotSpecification(String name, String type, String cons, String v) {

        slotType = type;
        slotName = name;
        constraint = cons;
        value = v;
    }

    public String getConstraint() {
        return constraint;
    }

    public String getName() {
        return slotName;
    }

    public String getType() {
        return slotType;
    }

    public Object getValue() {
        return value;
    }

    public void setConstraint(String cons) {
        constraint = cons;
    }

    public void setName(String name) {
        slotName = name;
    }

    public void setType(String type) {
        slotType = type;
    }

    public void setValue(Object v) {
        value = v;
    }
}
