/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.util;



/**
 *  The protegex utils are pieces of funcitonality that are used across several
 *  distinct widgets. As such, they may need to save state to the widget's
 *  property list. The mechanism adopted for this is a keyword is used to
 *  identify a sub property list all information is stored in the sub property
 *  list. This, of course, necessitates reserving some keywords. This interface
 *  serves as a clearinghouse of reserved keywords.
 *
 * @author    William Grosso <grosso@smi.stanford.edu>
 */
public interface ReservedConstants {
    // For the table editors
    public final static String BOOLEAN_EDITOR = ":PROTEGEX:BOOLEAN:EDITOR";
    public final static String CLASS_EDITOR = ":PROTEGEX:CLASS:EDITOR";
    public final static String FLOAT_EDITOR = ":PROTEGEX:FLOAT:EDITOR";
    public final static String INSTANCE_EDITOR = ":PROTEGEX:INSTANCE:EDITOR";
    public final static String INTEGER_EDITOR = ":PROTEGEX:INTEGER:EDITOR";
    public final static String STRING_EDITOR = ":PROTEGEX:STRING:EDITOR";
    public final static String SYMBOL_EDITOR = ":PROTEGEX:SYMBOL:EDITOR";

    // For recursive copying preferences
    public final static String RECURSIVE_COPYING = ":PROTEGEX:RECURSIVE:COPYING";

}
