/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.util;

import java.awt.event.*;

/**
 *  Description of the Class
 *
 * @author    William Grosso <grosso@smi.stanford.edu>
 */
public class SixButtonsConfigurationPanel extends FourButtonsConfigurationPanel {
    private static final long serialVersionUID = -2663184231079075632L;
    protected ButtonInformationPanel _prototypeInstancePanel;

    private class DisplayPrototypeButtonListener implements ActionListener {
        public void actionPerformed(ActionEvent e) {
            _buttonRelatedWidgetState.setDisplayPrototypeButton(_prototypeInstancePanel.isEnabled());
            _buttonRelatedWidgetState.setPrototypeButtonTooltip(_prototypeInstancePanel.getTooltip());
        }
    }

    public SixButtonsConfigurationPanel(ButtonRelatedWidgetState state) {
        super(state);
    }

    protected void buildButtonSelectionPanel(int yPosition) {
        super.buildButtonSelectionPanel(yPosition);

        _prototypeInstancePanel =
            new ButtonInformationPanel(
                "Prototype Button",
                _buttonRelatedWidgetState.isDisplayPrototypeButton(),
                _buttonRelatedWidgetState.getPrototypeButtonTooltip());
        _prototypeInstancePanel.addActionListener(new DisplayPrototypeButtonListener());

        _mainPanel.add(_deleteInstancePanel);
        _mainPanel.add(_prototypeInstancePanel);
    }
}
