/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.contains;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.ui.*;

/**
 *  Description of the class
 *
 * @author    William Grosso <grosso@smi.stanford.edu>
 */
public class ContainsWidget_AddAction extends ContainsWidget_AbstractAction {
    private static final long serialVersionUID = 4571238097082821522L;
    private String _dialogTitle;

    public ContainsWidget_AddAction(ContainsWidget widget) {
        super(widget, (widget.getState()).getAddInstanceButtonTooltip(), Icons.getAddIcon());
        _dialogTitle = (widget.getState()).getAddInstanceDialogTitle();
    }

    public void actionPerformed(ActionEvent e) {
        Collection choices = DisplayUtilities.pickInstances((Component) _widget, getAllowedClasses(), _dialogTitle);
        _widget.addInstances(choices);
    }

    protected void updateActivation() {
        boolean enabled = _widget.getValues().size() == 0 || _widget.allowsMultipleValues();
        setEnabled(enabled);
    }
}
