/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.graph;

public interface GraphTypes {
    // Node Types
    String DIAMOND = "Diamond";
    String ELLIPSE = "Ellipse";
    String HEXAGON = "Hexagon";
    String INVERTED_TRIANGLE = "Inverted Triangle";
    String OCTAGON = "Octagon";
    String PENTAGON = "Pentagon";
    String RECTANGLE = "Rectangle";
    String ROUNDED_RECTANGLE = "Rounded Rectangle";
    String TRIANGLE = "Triangle";

    // Line Types
    String SOLID = "Solid";
    String DASHED = "Dashed";
    String DOTTED = "Dotted";
    String DASH_DOT = "Dash Dot";
    String DASH_DOT_DOT = "Dash Dot Dot";

    // Arrowhead Types
    String ARROW_ARROWHEAD = "Arrowhead";
    String ARROW_DIAMOND = "Diamond";
    String ARROW_SIMPLE_LINE_DRAWN = "Simple Line Drawn";
    String ARROW_TRIANGLE = "Triangle";

    // Misc.
    String RELATION_SLOT = "slotForRelations";
    String NONE = "< none >";

    int NODE_WIDTH = 60;
    int NODE_HEIGHT = 60;
    int LINE_WIDTH = 1;

    String GRID_CROSSES = "Crosses";
    String GRID_INVISIBLE = "Invisible";
    String GRID_LINES = "Lines";
    String GRID_DOTS = "Dots";

    String GRID_NO_SNAP = "No snap";
    String GRID_SNAP_DURING = "Jump";
    String GRID_SNAP_AFTER = "Afterwards";
}