/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.graph;

public class NodePropertyNames {

    // Node's custom display name
    public static final String NODE_DISPLAY_NAME = "customDisplayName";

	// Node shape
    public static final String NODE_SHAPE = "shape";

	// Node color
    public static final String NODE_RGB_RED = "shapeColorRed";
    public static final String NODE_RGB_GREEN = "shapeColorGreen";
    public static final String NODE_RGB_BLUE = "shapeColorBlue";

    // Node label's text properties
    public static final String LABEL_BOLD = "bold";
    public static final String LABEL_ITALIC = "italic";
    public static final String LABEL_RGB_RED = "textColorRed";
    public static final String LABEL_RGB_GREEN = "textColorGreen";
    public static final String LABEL_RGB_BLUE = "textColorBlue";

    // Node's connector slot
    public static final String CONNECTOR_SLOT = "connectorSlot";

	// Properties for connectors that emanate from node
    public static final String CONNECTOR_LINE_TYPE = "lineType";
    public static final String CONNECTOR_ARROWHEAD_TYPE = "arrowheadType";
    public static final String CONNECTOR_DISPLAY_TEXT = "displayText";
}
