/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.graph;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;

import edu.stanford.smi.protege.model.KnowledgeBase;
import edu.stanford.smi.protegex.owl.model.NamespaceUtil;
import edu.stanford.smi.protegex.owl.model.OWLModel;

public class PositionInfoFixup {
	
	@SuppressWarnings("unchecked")
	public static HashMap checkForShortNames(KnowledgeBase kb, String key) {
		HashMap retval = new HashMap();
		OWLModel model = (OWLModel) kb;

		HashMap temp = (HashMap) kb.getProject().getClientInformation(key);
		if (temp != null) {
			Set keySet = temp.keySet();
			Iterator iterator = keySet.iterator();
			while (iterator.hasNext()) {
				String shortName = (String) iterator.next();
				Object value = temp.get(shortName);
				String longName = NamespaceUtil.getFullName(model, shortName);
				if (longName != null) {
					retval.put(longName, value);
				}
			}
		}
		
		return retval;
	}
	
}
