/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.graph;

import java.awt.Color;
import com.nwoods.jgo.*;

public class SimpleLink extends JGoLabeledLink {

    private static final long serialVersionUID = 1693064977873440928L;

    public SimpleLink() {
        super();
    }

    public SimpleLink(JGoPort from, JGoPort to) {
        super(from, to);

        JGoLinkLabel text = new JGoLinkLabel("");
        text.setAlignment(JGoText.ALIGN_CENTER);
        text.setSelectable(true);
        text.setEditOnSingleClick(false);
        text.setTransparent(false);

        // Partly transparent white.
        text.setBkColor(new Color(255, 255, 255, 200));

        setMidLabel(text);
        setAdjustingStyle(JGoLink.AdjustingStyleScale);
    }

    public void initialize(String text) {
        setText(text);
    }

    public void setText(String text)
    {
        JGoText obj = (JGoText) getMidLabel();
        if (obj != null) {
            obj.setText(text);
        }
    }
}