/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.instancetable;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

import javax.swing.*;

import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.ui.*;

/**
 *  Description of the Class
 *
 * @author    William Grosso <grosso@smi.stanford.edu>
 */
public class Action_AddInstance extends AbstractAction {
    private static final long serialVersionUID = -1976697794441539166L;
    private String _dialogTitle;
    private InstanceTableWidget _widget;

    public Action_AddInstance(InstanceTableWidget widget) {
        super((widget.getState()).getAddInstanceButtonTooltip(), Icons.getAddIcon());
        _widget = widget;
        _dialogTitle = (widget.getState()).getAddInstanceDialogTitle();
    }

    public void actionPerformed(ActionEvent e) {
        if (_widget.isEditable()) {
            Collection selections =
                DisplayUtilities.pickInstances((Component) _widget, _widget.getAllowedClses(), _dialogTitle);
            if ((null != selections) && (selections.size() != 0)) {
                _widget.addValues(selections);
            }
        }
    }
}
