/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.instancetable;

import java.awt.event.*;
import java.util.*;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.util.*;

/**
 *  Description of the Class
 *
 * @author    Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class Action_MoveUp extends Action_AbstractTableListener {

    private static final long serialVersionUID = 3299485715199010663L;

    public Action_MoveUp(InstanceTableWidget widget, InstanceTable table) {
        super((widget.getState()).getMoveInstanceUpTooltip(), Icons.getUpIcon(), widget, table);
    }

    public void actionPerformed(ActionEvent e) {
        Collection instances = _table.getSelectedInstances();
        if (instances.size() == 1 && isSlotEditable()) {
            Instance instance = (Instance) CollectionUtilities.getFirstItem(instances);
            _widget.moveValue(instance, -1);
        }
    }
}
