/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.scatterbox;

import java.awt.*;

import javax.swing.*;

/**
 *  Description of the Class
 *
 * @author    William Grosso <grosso@smi.stanford.edu>
 */
public abstract class AbstractTextPanel extends JPanel implements Constants {
    private static final long serialVersionUID = 4647457494783249198L;
    protected String _text;
    protected Rectangle _bounds;

    public AbstractTextPanel(String text) {
        _text = text;
        _bounds = new Rectangle();
    }

    public Dimension getPreferredSize() {
        Dimension returnValue = new Dimension();
        Graphics g = getGraphics();
        FontMetrics fontMetrics = g.getFontMetrics();
        returnValue.height = returnValue.width = (int) (TEXT_SCALING_FACTOR * fontMetrics.getHeight());
        g.dispose();
        return returnValue;
    }

    public void paint(Graphics g) {
        super.paint(g);
        if ((g instanceof Graphics2D) && (null != _text)) {
            reallyPaint((Graphics2D) g);
        }
    }

    protected abstract void reallyPaint(Graphics2D g);
}
