/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.scatterbox;

import javax.swing.table.*;

import edu.stanford.smi.protege.model.*;

/**
 *  Description of the class
 *
 * @author    William Grosso <grosso@smi.stanford.edu>
 */
public class RowHeaderTableModel extends AbstractTableModel {
    private static final long serialVersionUID = -8825063708542403637L;
    private Order _underlyingOrder;

    public RowHeaderTableModel(Order order) {
        _underlyingOrder = order;
    }

    public int getColumnCount() {
        return 1;
    }

    public String getColumnName(int columnIndex) {
        return "";
    }

    public int getRowCount() {
        return _underlyingOrder.getSize();
    }

    public Object getValueAt(int rowIndex, int columnIndex) {
        Object value = _underlyingOrder.getValueForIndex(rowIndex);
        if (value instanceof Instance) {
            return ((Instance) value).getBrowserText();
        }
        return value;
    }

    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return false;
    }
}
